%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (bfanova.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{anova.bfaov}
\alias{anova.bfaov}
 \title{ANOVA table of balanced factorial designs}
 \description{
   Prints ANOVA table of bfaov object \code{\link{bfaov}}
 }
 \usage{anova.bfaov(anv,formula=NULL,sigma.sq=0, ptype=c("console","tex","tex.p","none"),file="")}
 \arguments{
   \item{anv}{a bfaov object, see \code{\link{bfaov}}}
   \item{formula}{a model formula, see \code{\link{bfaov}}}
   \item{sigma.sq}{estimate of \eqn{\sigma^2}{sigma^2} for the
     information criterion measures of goodness of fit}
   \item{ptype}{print type, if set to "tex", a tex style table is
     produced}
   \item{file}{output file, if "" output goes to console}
 }
 \value{
   if ptype is "none", a list of
   \item{df}{residual degrees of freedom}
   \item{SS}{residual sum of squares}
   \item{MS}{mean residual sum of squares, SS/df, an estimate of
     \eqn{\sigma^2}{sigma^2} of the ANOVA model}
   else no return value
 }
 \examples{
   data(trcs)  
   RG <- rg.remove.quantile(trcs.RG,0.1)
   a <- rg2log.array(RG)
   av <- bfaov(~(V+S/A)^2 + G,a)
   anova(av)
 }
 \seealso{
   \code{\link{bfaov}}
 }
 \keyword{print}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
