%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (bfanova.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{data.over.under}
 \alias{data.over.under}
 \alias{write.over.under}
 \title{Analysis of over- and under-expressed genes}
 \description{
   Calculates over- or under-expressed genes use from
   \code{\link{over.under}} structure }
 \usage{
   data.over.under(ou,genes=NULL,pvalue=0.05,pvalue.u=NULL,
       sample.values=F,
       method=c("fdr","bonferroni","none","fdr.nostep"),normalize=T)
   write.over.under(list.dfr,prefix="",ptype=c("none","tex"),
       digits=3,genes.orfs=NULL)
 }
 \synopsis{data.over.under(ou,genes=NULL,pvalue=0.05, pvalue.u=NULL,sample.values=F,contr.var=NULL, method=c("fdr","bonferroni","none","fdr.nostep"),normalize=T)}
 \arguments{
   \item{ou}{result from \code{\link{over.under}}
       or \code{\link{over.under}} }
   \item{genes}{a vector of gene names}
   \item{pvalue}{p-value limit for over expression}
   \item{pvalue.u}{p-value limit for under expression, set
       set to \code{pvalue} if not specified}
   \item{method}{method for multiple testing adjustment; if
     "fdr" Benjamini and Hochberg's step-down method for the False
     Discovery Rate (see \code{\link{pvalue.fdr}})is used usually
     resulting in more genes with significant differential
     expression; "bonferroni" adjusts by the more conservative
     Bonferroni method }
   \item{prefix}{file prefix for output files}
   \item{list.dfr}{result of call to \code{data.over.under}}
   \item{sample.values}{if TRUE, \code{ou} p-values from bootstrap
     samples are used instead of normal approximations}
   \item{normalize}{normalization for fold-change}
   \item{ptype}{print type}
   \item{digits}{number of digits}
   \item{genes.orfs}{a list of two vectors and a string:
     \code{$orfs} is a list of orf names, such as "Rv0957",
     \code{$genes} is a list of gene names, such as "purH",
     and \code{$prefix} is a prefix "Rv"; each orf name is
     replaced by its gene name if it contains the prefix}
 }
 \details{
   Prints the result of a call to \code{\link{over.under}} or
   \code{\link{over.under.level}}.
   See \code{\link{sd.vg}} for details on p-values for significant
   differential expression. Bootstrapping residuals can be used to
   get more reliable p-values
 }
 \value{
   \code{data.over.under} returns a list of dataframes containing:
   \item{over, under}{data.frames for over-, under-expressed genes}
   \item{over.b, under.b}{data.frames for over-, under-expressed genes
     from bootstrapping residuals }
   \item{list.dfr}{the result of a call to \code{data.over.under}}
   \item{prefix}{a path to a directory, prefix to the 4 output files}
 }
 \examples{
   data(trcs)
   ou <- over.under(trcs.av,rounds=0)
   ldf <- data.over.under(ou,genes=trcs.RG$genes,pvalue=0.01)
   ldf$over
   # write 4 files in current directory:
   write.over.under(ldf)
 }
 \seealso{
   \code{\link{bfaov}},\code{\link{pvalue.fdr}},
   \code{\link{over.under}}, code{\link{over.under.level}}
 }
 \keyword{models}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
