%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (bfanova.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{interpolate.bfaov}
\alias{interpolate.bfaov}
 \title{Interpolate missing values in balanced factorial data array}
 \description{
   Interpolate missing values in balanced factorial data array from
   using ANOVA model from \code{\link{bfaov}} }
 \usage{interpolate.bfaov(anv,a,fast=T)}
 \synopsis{interpolate.bfaov(anv,a,fast=T)}
 \arguments{
   \item{anv}{a bfaov object as generated by \code{\link{bfaov}},
     missing values indicated by NA's}
   \item{a}{a balanced factorial data matrix, see eg
     \code{\link{rg2log.array}} }
   \item{fast}{if T, compiled code is used which is \emph{much} faster
     than the R code but might not be availabel on every platform}
 }
 \details{
   From the normal equations a system of equations for missing
   entries can be derived such that the the residual error of the
   ANOVA model is minimized.
 }
 \value{
   a balanced factorial data array with interpolated values in place
   of NA's
 }
 \examples{
   data(trcs)
   RG <- rg.remove.quantile(trcs.RG,0.2,level=3)
   a <- rg2log.array(RG)
   which(is.na(a))
   av <- bfaov(~(V+G+S/A)^2,a)
   a.new <- interpolate.bfaov(av,a)
 }
 \seealso{
   \code{\link{bfaov}},
   \code{\link{rg2log.array}}
}
\keyword{models}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
