%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{read.rg}
\alias{read.rg}
 \title{
   RG structure from microarray data table file
 }
 \description{
   Parses files containing microarray data and stores them
   in the RG format (see \code{\link{init.data}} from package sma).
   Various patterns describing table headings and lines to skip 
   must be provided.
 }
 \usage{
   read.rg(directory="",
     R.filenames,R.prefix="",R.suffix="",
     x.col=NULL,y.col=NULL,
     G.filenames,G.prefix="",G.suffix="",
     gene.col,R.col,Rb.col,G.col,Gb.col,
     do.prepare=T,split.char="\t",
     start.phrase=NULL,end.phrase=NULL,
     experiments=NULL)
 }
 \synopsis{read.rg(directory="", R.filenames,R.prefix="",R.suffix="", G.filenames,G.prefix="",G.suffix="", gene.col,R.col,Rb.col,G.col,Gb.col, name.col=NULL, Rs.col=NULL,Rbs.col=NULL,Rsn.col=NULL,Rbsn.col=NULL, Gs.col=NULL,Gbs.col=NULL,Gsn.col=NULL,Gbsn.col=NULL, x.col=NULL,y.col=NULL, do.prepare=T,split.char="\t", start.phrase=NULL,end.phrase=NULL, experiments=NULL)}
 \arguments{
   \item{directory}{data directory}
   \item{R.filenames}{a list of filenames containing data of "red" R
     channel without prefix or suffix}
   \item{R.prefix, R.suffix}{prefix and suffix for R data files}
   \item{gene.col}{column of gene names}
   \item{R.col, Rb.col}{signal and background column name}
   \item{x.col, y.col}{spot coordinates}
   \item{G.filenames, G.prefix, G.suffix, G.col, Gb.col}{%
      the same as above but for the "green" G channel}
   \item{do.prepare}{if TRUE space is replaced by "." in order to
     use \R's read.table() function}
   \item{split.char}{the character used as table separator}
   \item{start.phrase}{a phrase in the table header line, if set all previous
     lines are skipped in the input files}
   \item{end.phrase}{a phrase in the line after the last table line,
     if set the rest of the input file is skipped}
   \item{experiments}{a list of named vectors describing the content
   of the experiments; eg, list(P=1:3,A=1:2) means 3 preparations
   with 2 arrays each (total 9): 1-2 with mRNA preparation
   (P) I, 3-4 with preparation II, and 5-6 with prepartion III}
 }
 \details{
   Unfortunately, there exists no standard for storing microarray
   scanner data yet. This function helps to parse data from a variety
   of data formats. One common problem is that R's read.table()
   function is confused by spaces (eg in gene names), they are
   replaced by ".". Text before the proper table headers and after
   the tables can be skipped as well.
 }
 \value{
   an RG structure, see \code{\link{init.data}} from package sma
 }
 \examples{
   \dontrun{
    my.RG <- read.rg("/home/rtp/microarrays/data/mtb/",
      gene.col="Gene ID",
      R.filenames=c("01cy5","03cy5","05cy5",
        "02cy5","04cy5","06cy5" ),
      R.prefix="MT-",R.suffix=".dat",
      G.filenames=c("01cy3","03cy3","05cy3",
        "02cy3","04cy3","06cy3" ),
      G.prefix="MT-",G.suffix=".dat",
      R.col="Signal Median",Rb.col="Background Median",
      G.col="Signal Median",Gb.col="Background Median",
      do.prepare=T,start.phrase="Gene ID",end.phrase="End Raw Data",
      experiments=list(P=1:3,A=1:2)
    )
   }
 }
 \seealso{
   \code{\link{init.data}}
 }
 \keyword{file}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
