%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.failure.histogram}
\alias{rg.failure.histogram}
 \title{Plot of number of low expression genes}
 \description{Plots the number of genes that are in the lower (upper)
   quantiles of a given number of R or G channels}
 \usage{rg.failure.histogram(RG,p.low,p.high=1,intensities=T)}
 \synopsis{rg.failure.histogram(RG,p.low,p.high=1,intensities=T)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
   \item{p.low}{the lower quantile to remove from all channels}
   \item{p.high}{the upper quantile to remove from all channels}
   \item{intensities}{if TRUE, spot intensities (R*G), otherwise
     separate R, G channel values are used}
 }
 \details{
   The value of a gene may fall in the lower (upper) \code{p.low}
   (\code{p.high}) intensity quantile of one, two, or more arrays of
   the experiments. The number of genes with values in the quantiles
   of one, two, etc. arrays is shown in the histogram.
 }
 \value{
   vector \code{v}: \code{v[k]} is the number of genes
   which are in the lower (and upper) quantile of exactly
   \code{k-1} arrays
 }
 \examples{
   data(trcs)
   v <- rg.failure.histogram(trcs.RG,0.1)
   v
   RG <- rg.remove.quantile(trcs.RG,0.1,level=3,set.na=T)
   # number of genes with low values on one or on two arrays:
   v[2] + v[3]
   # number of missing values for this genes:
   sum(is.na(RG$R)) == v[2] + 2*v[3]
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{rg.remove.quantile}},
   \code{\link{interpolate.bfaov}}
 }
 \keyword{hplot}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
