%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.loess.normalize}
 \alias{rg.loess.normalize}
 \alias{rg.linear.normalize}
 \alias{rg.shift.normalize}
 \alias{rg.scale.normalize}
 \alias{rg.rank.normalize}
 \alias{ma.cor}
 \title{Loess normalization of RG values}
 \description{
   Corrects for dependency of log differential expression on
   total log intensity by fitting a loess or linear regression.
 }
 \usage{
   rg.loess.normalize(RG,deg=1,span=0.6,flat=F,
       show=T,show.new=F,...)
   rg.linear.normalize(RG,method=c("lm","prcomp"),
       show=T,show.new=F,...)
   rg.shift.normalize(RG,method=c("mean","median"))
   rg.rank.normalize(RG,method=c("mean","median"))
   rg.scale.normalize(RG,method=c("sd","mad"))
   ma.cor(RG,i=0,show=T,...)
 }
 \synopsis{rg.loess.normalize(RG,deg=1,span=0.6,show=T, show.new=F,flat=F,...)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
   \item{deg}{degree of loess fit, the degree of the local
     regression function, see \code{\link{loess}}}
   \item{span}{span of loess fit, approximately the 
     fraction of points involved in the local regression,
     see \code{\link{loess}}}
   \item{method}{"lm", linear regression; "prcomp", fit principal
     component axes and rotate;
     "mean", "median" mean and median normalization}
   \item{scale}{if TRUE, scale to sd 1}
   \item{show}{if TRUE, plots are shown}
   \item{show.new}{if TRUE, add points after correction}
   \item{i}{index of experiment to write, if 0 average of A and M values}
   \item{flat}{if TRUE, plot a reference 0 line instead of loess curve}
   \item{mfrow}{mfrow argument for panel layout, see \code{\link{par}}}
   \item{pick}{a vector of array numbers to show}
   \item{...}{parameters for function \code{\link{loess}}}
 }
 \details{
   Converts an RG to an AM structure (A, x-axis log total intensity;
   M, y-axis log difference between R and G), and normalizes AM plot by
   fitting a loess regression (\code{rg.loess.normalize}) or linear
   regression (\code{rg.linear.normalize}) and subtracting estimated
   values. Plots of loess curves are shown. For more versatile
   functions in this direction see \code{sma} package and
   \code{\link{init.data}}. \code{ma.cor} plots and caculates the
   correlation between A and M.
 }
 \value{
   an RG structure with normalized R and G values
 }
 \examples{
 \dontrun{
   data(trcs)
   RG.norm <- rg.loess.normalize(trcs.RG,deg=2,span=0.4)
 }
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{init.data}},
   \code{\link{loess}},\code{\link{prcomp}}, \code{\link{lm}}
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
