%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.log.plot}
 \alias{rg.log.plot}
 \alias{ma.plot}
 \alias{ma.plot.single}
 \title{Plots log G over log R for RG structure}
 \description{
   Plots logs of channel R over channel G
 }
 \usage{
   rg.log.plot(RG,i=0,points=F,...)
   ma.plot(RG,i=0,points=F,...)
   ma.plot.single(RG,gene,i=0,points=T,...)
 }
 \synopsis{rg.log.plot(RG,i=0,points=F,...)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
   \item{i}{index of experiment to plot, if 0 an average over all is
     shown}
   \item{points}{if TRUE, \code{\link{plot}} is used, else points added
     by \code{\link{points}}  }
   \item{gene}{name of a single gene to plot}
   \item{...}{arguments for \code{\link{plot}}}
 }
 \details{
   A plot of \eqn{\log_2(R)}{log2(R)} over \eqn{\log_2(R)}{log2(R)} is
   useful as a first diagnostic tool. \code{ma.plot} shows the plot
   rotated by 45 degrees. If there is a
   deviation from the diagonal a correction by
   \code{\link{rg.loess.normalize}} or
   \code{\link{rg.linear.normalize}} should be applied. 
 }
 \value{
   no return value
 }
 \examples{
   data(trcs)
   ma.plot(trcs.RG,0,pch=".",xlab="intensities",ylab="diff expression") 
   # shows the variability of a single gene across experiments:
   ma.plot.single(trcs.RG,"dnaA",i=1:ncol(trcs.RG$R),
       pch=19,col="blue",cex=0.5)
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{init.data}},
   \code{\link{rg2ma}}, \code{\link{ma2rg}}
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
