%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.remove}
 \alias{rg.remove}
 \alias{rg.keep}
 \alias{rg.remove.containing}
 \alias{rg.keep.containing}
 \alias{rg.project}
 \alias{rg.write}
 \title{Removal of genes and experiments from RG structure}
 \description{
   Removes genes from RG structure, either by index or by a pattern
   describing gene names.
 }
 \usage{
   rg.keep(RG,ind)
   rg.remove(RG,ind)
   rg.keep.containing(RG,patterns)
   rg.remove.containing(RG,patterns)
   rg.project(RG,dim=NULL,experiments=NULL)
   rg.write(RG,prefix="rg")
 }
 \arguments{
   \item{RG}{RG microarray data structure}
   \item{ind}{index vector of genes to keep or remove}
   \item{patterns}{vector of regular expression describing gene names}
   \item{dim}{indices of experiments to keep}
   \item{experiments}{the new experiment structure after projection}
   \item{prefix}{prefix of filenames to write the RG structure}
 }
 \value{
   RG structure
 }
 \details{
   \code{rg.keep} and \code{rg.remove} keep or remove genes indexed
   by \code{ind} from an RG structure. \code{rg.keep.containing} and
   \code{rg.keep.remove} keep or remove genes containing a regular
   expression pattern, see \code{\link{grep}}. \code{rg.project} confines
   the RG structure to a subset of experiments given by \code{dim}.
   \code{rg.write} writes an RG structure to a file.
 }
 \examples{
   data(trcs)
   RG <- rg.keep.containing(trcs.RG,"Rv")
   RG.sample1 <- rg.project(RG,1:4,experiments=list(A=1:2,Q=1:2))
   rg.write(RG.sample1,"sample1.dat")
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{init.data}}
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
