%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.remove.quantile}
\alias{rg.remove.quantile}
 \title{Removal of genes with low expression levels}
 \description{
     Removes genes which fall in the lower quantile in a specified
     number of experiments
 }
 \usage{
   rg.remove.quantile(RG,p.low=0.2,level=1,p.high=1,
     intensities=T,set.na=F)
 }
 \synopsis{rg.remove.quantile(RG,p.low=0.2,level=1,p.high=1, intensities=T,set.na=F)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
   \item{p.low}{the lower quantile to remove from all channels}
   \item{level}{minimum number of experiments for which data
     point must lie in
     the given quantile to be removed}
   \item{p.high}{the upper quantile to remove from all channels}
   \item{intensities}{if TRUE, spot intensities (R*G), otherwise
     separate R, G channel values are used}
   \item{set.na}{if TRUE and if \code{level} > 1 genes with low
   values in less than \code{level} experiments are kept but such
   values are marked with NA for later treatment in
   \code{\link{interpolate.bfaov}}}
 }
 \details{
   Genes with their value in the lower \code{p.low} quantile of
   \code{level} or more R or G channels (or total intensity R*G) of
   the experiments are removed. If \code{set.an=T} genes in quantiles
   of fewer than \code{level} channels are set to \code{NA} in these
   channels. They can be interpolated by
   \code{\link{interpolate.bfaov}}. For example, if \code{level} is 2
   and \code{p.low} is 0.1, all genes with values in the lower
   10\% in two or more experiments are removed completely; if
   \code{set.na=T}, all genes with a value in the lower 10\% of only
   one experiment have such value replaced by \code{NA};
 }
 \value{
   an RG structure, see \code{\link{init.data}} from package sma
 }
 \examples{
   data(trcs)
   RG <- rg.remove.quantile(trcs.RG,0.1,level=2,set.na=T)
   # number of missing vaues:
   sum(is.na(RG$R))
   # the same as
   sum(is.na(RG$G))
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{rg.failure.histogram}},
   \code{\link{interpolate.bfaov}}
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
