%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg2array}
 \alias{rg2array}
 \alias{rg2log.array}
 \alias{array2rg}
 \alias{log.array2rg}
 \title{Balanced factorial array from RG structure}
 \description{
   Generates a balanced factorial array suitable for the
   ANOVA analysis for balanced factorial designs.
 }
 \usage{
   rg2array(RG,experiments=RG$experiments)
   rg2log.array(RG,experiments=RG$experiments)
   array2rg(a)
   log.array2rg(a)
 }
 \synopsis{rg2array(RG,experiments=RG$experiments)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
   \item{experiments}{see \code{\link{read.rg}} for a description of
   the experiment list}
   \item{a}{a data array according to a balanced factorial design}
 }
 \details{
   Generates a balanced factorial array suitable for the
   \code{\link{bfaov}} ANOVA analysis for balanced factorial
   designs. Such bfaov array is a more efficient way of storing data
   from a balanced factorial design than a data frame.
   An array is constructed with each dimension corresponding to a
   factor as descripted in \code{experiments}. Two dimensions are
   added, one for the gene G effect and one for the variety V effect
   (background corrected red vs background corrected
   green). \code{rg2array} array does \emph{not} transformed the data
   by any further operation (eg log). \code{rg2log.array} transforms
   by \eqn{\log_2}{log_2} (log of nonpositive values set to
   0). {\code{names(dim(a))}} contains the names of the dimensions.
 }
 \value{
   a multidimensional array
 }
 \examples{
   data(trcs)
   a <- rg2log.array(trcs.RG)
   av <- bfaov(~(V+G)^2,a)
   anova(av)
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{bfaov}}
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
