%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:56.
% Do NOT modify this file, instead modify the source (yasma_rsingle.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{stat.Newton.multi}
\alias{stat.Newton.multi}
 \title{
   Logodds of differential expression derived from hierarchical
   Gamma models
 }
 \description{
   This is very similar to the \code{\link{stat.Newton}} function in
   the sma package
   \url{http://www.stat.berkeley.edu/users/terry/zarray/Software/smacode.html}.
   See the description of this function for details.
 }
 \usage{stat.Newton.multi(RG,layout=set.grid(4,4,17,17), norm="p",image.ids=NULL,pout=T,level=0)}
 \synopsis{stat.Newton.multi(RG,layout=set.grid(4,4,17,17), norm="p",image.ids=NULL,pout=T,level=0)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
   \item{layout}{layout of the genes on slide, used in case of print-tip
     normalization}
   \item{norm}{normalization modes, see \code{\link{stat.Newton}}}
   \item{image.ids}{which experiments to use, default: all experiments}
   \item{pout}{if T, logodds \code{$lod} and the parameter of the fitted
     hierarchical Gamma model are returned \code{$theta}, if F, a plot
     is shown with differentially expressed genes in red }
   \item{level}{the logodds level, basis 10; the default is 0, that is any
     differential expression }
 }
 \value{
   If \code{pout} is F, a plot, if pout is T a list containing:
   \item{theta}{parameter of the fitted hierarchical Gamma model}
   \item{lod}{logodds, basis 10; a logodds of 1 for example means
     it is ten times more probable that the gene is differentially
     expressed (either over or under expressed) than not }
 }
 \examples{
   data(trcs)
   RG <- rg.remove.quantile(trcs.RG,0.1,level=1)
   # plot a picture
   stat.Newton.multi(RG,imag=1:12,norm="l",pout=T) 
   # get the values
   nt <- stat.Newton.multi(RG,imag=1:12,norm="l",pout=F)
   # print logodds larger than 0 (ie odds > 1)
   RG$genes[nt$lod > 0]
 }
 \seealso{
   \code{\link{stat.Newton}},
 }
 \keyword{htest}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
