%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (gene_statistics.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{t.boots}
\alias{t.boots}
 \title{t-statistic bootstrap for differential gene expression}
 \description{
   Calculates p-values for over- or under-expression from bootstrapping
   a t-statistic for each gene's \eqn{\log(R/G)}{log(R/G)}
 }
 \usage{t.boots(RG,rounds=10000,fast=T,step.down=T,centralize=T)}
 \synopsis{t.boots(RG,rounds=10000,fast=T,step.down=T,centralize=T)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
   \item{rounds}{bootstrap resamples}
   \item{fast}{if T, the compiled bootstrap is called which is
     \emph{much} faster then the R version, but might not be
     available on every platform }
   \item{step.down}{if T, the Westfall-Young step-down adjustment for
       multiple testing is used otherwise no adjustement is
       applied. Alternatively, if set to F the Benjamini-Hochberg's
       FDR \code{\link{pvalue.fdr}} adjustment might be applied to
       the result}
   \item{centralize}{if TRUE, shifts all experiments before comparison}
 }
 \value{
   List containing:
   \item{p.over, p.under}{p-values of over-, under-expressed genes}
   \item{rounds}{bootstrap resamples}
   \item{RG}{the input RG microarray data structure}
 }
 \examples{
   data(trcs)
   RG <- rg.remove.quantile(trcs.RG,0.1,level=1)
   ou <- t.boots(RG,1000)
   ldf <- data.over.under(ou,pvalue=0.05,method="none")
   ldf$over
   ou$p.over
 }
 \seealso{
   \code{\link{t.statistic}},
   \code{\link{data.over.under}}
 }
 \keyword{htest}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
